unit WebCamForm;
interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, OleCtrls, SHDocVw, WebCam;

type
  TForm1 = class(TForm)
    WebBrowser1: TWebBrowser;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    LastWebCamURL: String;
    WebCamService: TWebCamServiceSoap;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  LastWebCamURL := '';
  WebCamService := GetTWebCamServiceSoap;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  Title,NewURL: String;
  Counter,i: Integer;
begin
  Timer1.Enabled := False;
  try
    Counter := WebCamService.GetWebCamCounter('********');
    NewURL := WebCamService.GetWebCamURL;
    Title := NewURL;
    Delete(Title,Length(Title)-3,4); // .jpg
    i := Length(Title);
    while (i > 0) and (Title[i] <> '/') do Dec(i);
    if Title[i] = '/' then Delete(Title,1,i);
    if Length(Title) > 8 then // date/time stamp
    begin
      Title[9] := #32;
      Insert(':',Title,14);
      Insert(':',Title,12);
      Insert('/',Title,7);
      Insert('/',Title,5);
    end;
    Caption := IntToStr(Counter) + ' - ' + Title;
    if NewURL <> LastWebCamURL then
    begin
      WebBrowser1.Navigate(NewURL);
      LastWebCamURL := NewURL
    end
    else Color := - Color
  finally
    Timer1.Enabled := True
  end
end;

end.
