// ************************************************************************ //
// The types declared in this file were generated from data read from the
// WSDL File described below:
// WSDL     : http://www.ebob42.com/cgi-bin/webcam.asmx?WSDL
// Encoding : utf-8
// Version  : 1.0
// (2004-08-02 10:10:16 - 1.33.2.5)
// ************************************************************************ //

unit webcam;
interface
uses 
  InvokeRegistry, SOAPHTTPClient, Types, XSBuiltIns;

type
  // ************************************************************************ //
  // The following types, referred to in the WSDL document are not being represented
  // in this file. They are either aliases[@] of other types represented or were referred
  // to but never[!] declared in the document. The types from the latter category
  // typically map to predefined/known XML or Borland types; however, they could also 
  // indicate incorrect WSDL documents that failed to declare or import a schema type.
  // ************************************************************************ //
  // !:string          - "http://www.w3.org/2001/XMLSchema"
  // !:int             - "http://www.w3.org/2001/XMLSchema"


  // ************************************************************************ //
  // Namespace : http://www.eBob42.org
  // soapAction: http://www.eBob42.org/%operationName%
  // transport : http://schemas.xmlsoap.org/soap/http
  // style     : document
  // binding   : TWebCamServiceSoap
  // service   : TWebCamService
  // port      : TWebCamServiceSoap
  // URL       : http://www.ebob42.com/cgi-bin/webcam.asmx
  // ************************************************************************ //
  TWebCamServiceSoap = interface(IInvokable)
  ['{0B566D93-6CC5-38B6-1FF2-F9258D816584}']
    function  GetWebCamURL: WideString; stdcall;
    procedure SetWebCamURL(const URL: WideString; const Password: WideString); stdcall;
    function  GetWebCamCounter(const Password: WideString): Integer; stdcall;
  end;

function GetTWebCamServiceSoap(UseWSDL: Boolean=System.False; Addr: string=''; HTTPRIO: THTTPRIO = nil): TWebCamServiceSoap;

implementation

function GetTWebCamServiceSoap(UseWSDL: Boolean; Addr: string; HTTPRIO: THTTPRIO): TWebCamServiceSoap;
const
  defWSDL = 'http://www.ebob42.com/cgi-bin/webcam.asmx?WSDL';
  defURL  = 'http://www.ebob42.com/cgi-bin/webcam.asmx';
  defSvc  = 'TWebCamService';
  defPrt  = 'TWebCamServiceSoap';
var
  RIO: THTTPRIO;
begin
  Result := nil;
  if (Addr = '') then
  begin
    if UseWSDL then
      Addr := defWSDL
    else
      Addr := defURL;
  end;
  if HTTPRIO = nil then
    RIO := THTTPRIO.Create(nil)
  else
    RIO := HTTPRIO;
  try
    Result := (RIO as TWebCamServiceSoap);
    if UseWSDL then
    begin
      RIO.WSDLLocation := Addr;
      RIO.Service := defSvc;
      RIO.Port := defPrt;
    end else
      RIO.URL := Addr;
  finally
    if (Result = nil) and (HTTPRIO = nil) then
      RIO.Free;
  end;
end;

initialization
  InvRegistry.RegisterInterface(TypeInfo(TWebCamServiceSoap), 'http://www.eBob42.org', 'utf-8');
  InvRegistry.RegisterDefaultSOAPAction(TypeInfo(TWebCamServiceSoap), 'http://www.eBob42.org/%operationName%');
  InvRegistry.RegisterInvokeOptions(TypeInfo(TWebCamServiceSoap), ioDocument);
end. 